
function mudfish_adclean_6e3d2ec9d045542f3f24fd2e63976a8e() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`ul.all-comment-lst > li.comment:not(li[id^="comment_cnt_"])`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_6e3d2ec9d045542f3f24fd2e63976a8e();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_6e3d2ec9d045542f3f24fd2e63976a8e();
  });
}
